<div class="cita-list">
  <h2>Lista de citas</h2>
  <table class="table-custom">
    <thead>
      <tr>
        <th>ID</th>
        <th>Fecha</th>
        <th>Acciones</th>
      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let cita of citas">
        <td>{{ cita.id }}</td>
        <td>{{ cita.fechaHora | date: 'dd/MM/yyyy' }}</td>
        <td>
          <button (click)="addDiagnosticos(cita.id)">Añadir diagnosticos</button>
          <button (click)="editCita(cita.id)">Editar</button>
          <button (click)="deleteCita(cita.id)">Eliminar</button>
        </td>
      </tr>
    </tbody>
  </table>
</div>
